The Apple TV shows an error about “Device Verification”

When Device Verification is enabled on Apple TV and you try to start a movie file with Beamer, the Apple TV responds with the following error message:

“Device Requirements - This AirPlay connection requires iOS 7.1 or later on iPhone or iPad, or OS X 10.9 or later with the latest iTunes on Mac.”

The reason is that Beamer does not yet support device verification.

To disable device verification, go into the Apple TV settings, choose AirPlay, Security, then uncheck the option “Require Device Verification”.

Note: Since tvOS 10.2, turning off device verification on the 4th generation Apple TV is no longer possible. See this article for more information.


Was this article helpful?

Can’t find the answer you’re looking for? Contact Support